> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 리스트 조회

> ID로 리스트 세부 정보를 조회하거나 사용자가 소유한 리스트를 가져옵니다

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

리스트 조회 엔드포인트를 사용하면 리스트 정보를 가져올 수 있습니다. ID로 특정 리스트를 조회하거나, 사용자가 소유한 모든 리스트를 가져올 수 있습니다.

<div id="overview">
  ## 개요
</div>

<CardGroup cols={2}>
  <Card title="ID로" icon="list">
    특정 리스트의 세부 정보를 조회합니다
  </Card>

  <Card title="소유자별" icon="user">
    사용자가 소유한 모든 리스트를 조회합니다
  </Card>
</CardGroup>

***

<div id="endpoints">
  ## 엔드포인트
</div>

| Method | Endpoint                                                      | 설명              |
| :----- | :------------------------------------------------------------ | :-------------- |
| GET    | [`/2/lists/:id`](/ko/x-api/lists/get-list-by-id)              | ID로 리스트 조회      |
| GET    | [`/2/users/:id/owned_lists`](/ko/x-api/users/get-owned-lists) | 사용자가 소유한 리스트 조회 |

***

<div id="response-fields">
  ## 응답 필드
</div>

응답에는 기본적으로 `id`와 `name`이 포함됩니다. 다음과 같은 추가 필드를 요청할 수 있습니다:

| Field            | Description   |
| :--------------- | :------------ |
| `description`    | 리스트 설명        |
| `owner_id`       | 소유자의 사용자 ID   |
| `private`        | 리스트가 비공개인지 여부 |
| `follower_count` | 팔로워 수         |
| `member_count`   | 멤버 수          |
| `created_at`     | 리스트 생성 일시     |

<div id="example-request">
  ### 요청 예시
</div>

```bash theme={null}
curl "https://api.x.com/2/lists/1234567890?\
list.fields=description,owner_id,member_count,follower_count" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

***

<div id="getting-started">
  ## 시작하기
</div>

<Note>
  **사전 준비 사항**

  * 승인된 [개발자 계정](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 개발자 콘솔의 [Project 및 App](/ko/resources/fundamentals/developer-apps)
  * App의 [키와 토큰](/ko/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="빠른 시작" icon="rocket" href="/ko/x-api/lists/list-lookup/quickstart">
    첫 리스트 조회 요청 보내기
  </Card>

  <Card title="통합 가이드" icon="book" href="/ko/x-api/lists/list-lookup/integrate">
    핵심 개념과 모범 사례
  </Card>

  <Card title="API 참조 문서" icon="code" href="/ko/x-api/lists/list-lookup-by-list-id">
    엔드포인트 전체 문서
  </Card>

  <Card title="샘플 코드" icon="github" href="https://github.com/xdevplatform/Twitter-API-v2-sample-code">
    동작하는 코드 예제
  </Card>
</CardGroup>
